package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingCouponQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingCouponQueryitemsRequest) SetParam(v domain.AlibabaWdkMarketingCouponQueryitemsActivitySkuQuery) *AlibabaWdkMarketingCouponQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingCouponQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingCouponQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
